Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterCallManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterCallManager

public class RegisterCallManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterCallManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteCallsByContractId(int contractId)`
  `RegisterCall`
  `getCallById(int id)`
  `List<RegisterCall>`
  `getProblemCallList(int problemID)`
  `Map<Integer,List<RegisterCall>>`
  `getProblemCallList(List<Integer> problemIds)`
  `void`
  `searchList(SearchResult<RegisterCall> searchResult)`
  `void`
  `updateCall(RegisterCall call)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterCallManager

    public RegisterCallManager(Connection con)

- ## Method Details

  - ### getProblemCallList

    public List<RegisterCall> getProblemCallList(int problemID) throws Exception
    Throws:
      `Exception`

  - ### getCallById

    public RegisterCall getCallById(int id) throws Exception
    Throws:
      `Exception`

  - ### searchList

    public void searchList(SearchResult<RegisterCall> searchResult) throws Exception
    Throws:
      `Exception`

  - ### getProblemCallList

    public Map<Integer,List<RegisterCall>> getProblemCallList(List<Integer> problemIds) throws Exception
    Throws:
      `Exception`

  - ### updateCall

    public void updateCall(RegisterCall call) throws Exception
    Throws:
      `Exception`

  - ### deleteCallsByContractId

    public void deleteCallsByContractId(int contractId) throws Exception
    Throws:
      `Exception`